Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "4b4dc531-f61c-4fbf-af0f-66a68954e79e",
"user_id": "da0c83b5-c937-4c1a-a2b6-f0512f2b7e24",
"user_planning_slot_type_id": "f761a873-2a6b-4505-ab73-482d76a04184",
"date_from": "2026-05-23T23:16:35.2794794+00:00",
"date_to": "2026-05-23T23:16:35.2794794+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-05-23T23:16:35.2794794+00:00"
}